Subject: RE: [Simple] 200 vs. 202

From: "Brian Stucker" <[email-masked]>
Date: Tue, 6 Nov 2001 20:38:21 -0600

So, we're back to the original, needs to be clarified text in the draft.

4 message, 3-way handshake... correct?

Brian

-----Original Message-----
From: James Undery [mailto:[email-masked]]
Sent: Tuesday, November 06, 2001 10:06 AM
To: 'Robert Sparks'; 'Jonathan Rosenberg'; Stucker, Brian
[NGB:B635:EXCH]; 'Moran Tim (NET/Dallas)'; 'Ngo, Dai (c)'; 'Brazier
Lachlan'; 'adam.roach'; 'ext Paul Kyzivat'
Cc: 'simple'
Subject: RE: [Simple] 200 vs. 202

> > > >  * a subscriber SHOULD accept all NOTIFY requests generated
> > > > by a particular
> > > > subscription (i.e., not reject all but the one matching
> the 2xx to
> > > > SUBSCRIBE), and then compose the presence data from each
> > > > notification into a
> > > > complete presence document
> > >
> > > This will cause the composed document to be different before
> > > and after the first refresh (RR will prevent all but the
> > > notifier whos 2xx we received from being refreshed).
> >
> > Sorry, I am a bit slow and can't see why not. The NOTIFY will
> > follow the
> > route set created from the SUBSCRIBE(?!), all proxies wishing
> > to record
> > route will get the opportunity to add a record route header
> > to the NOTIFY as
> > per normal.
>
> The problem is not with the NOTIFY, its with the reSUBSCRIBE
> that will refresh the subscription. That request will get to
> exactly one of the notifiers.

Well that's what I missed, I assumed each subscription would be refreshed
individually following the route-set (which at a minimum should be the
contact for that subscription).

James

_______________________________________________
simple mailing list
[email-masked]
http://mailman.dynamicsoft.com/mailman/listinfo/simple